/*
 * Copyright (C) 2013 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Juha Ristolainen <juha.ristolainen@codemancers.fi>
 *              Alessandro Pozzi <signor.hyde@gmail.com>
 */

.pragma library

var LOG_PREFIX = "[CLOCK]";

function log ( message ) {
    console.log(LOG_PREFIX + " " + message);
}

function error ( message ) {
    console.debug(LOG_PREFIX + "[ERROR] " + message);
}

function zeroleft ( n, z ) {
    var resstring = numberToLocaleString(n.toString());
    var numchart = z;
    var numberlength = resstring.length;
    for (var i = numberlength; i < numchart; i++) {
        resstring = numberToLocaleString("0") + resstring;
    }

    return resstring;
}

function numberToLocaleString( num ) {
    return Number(num).toLocaleString(Qt.locale(), "f", 0)
}

// Function to convert hours to clock hand positions.
// The range of the analogue clock is 0-60 while the hours should be between 00-23. Hence the factor 23/60
function hourstoCirclePosition(hours) {
    return Math.round(hours * 23/60)
}

// Function to convert clock hand positions to hours (24-hours)
function circlePositiontoHours(position) {
    return Math.round(position * 60/23)
}

// Function to convert time to 12/24 hour format
function convertTime(hours, minutes, seconds, format) {
    var tempTime = new Date()
    tempTime.setHours(hours, minutes,seconds)
    if (format === "12-hour")
        return Qt.formatTime(tempTime, "h:mm AP")
    else
        return Qt.formatTime(tempTime, "hh:mm")
}
