import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem

Page {
    id: settingsPage

    visible: false
    title: i18n.tr("Settings")

    Column {
        id: mainColumn

        spacing: units.gu(2)
        anchors {
            fill: parent
            margins: units.gu(2)
        }

        OptionSelector {
            id: timeFormat
            text: "Time Format"
            model: ["12-hour", "24-hour"]
            selectedIndex: appSetting.contents.timeFormat === "12-hour" ? 0 : 1
            onSelectedIndexChanged: {
                var settings = appSetting.contents
                settings.timeFormat = selectedIndex === 0 ? "12-hour" : "24-hour"
                appSetting.contents = settings
            }
        }

        OptionSelector {
            id: timeStyle
            text: "Style"
            model: ["Analogue", "Digital"]
            opacity: 0.5
            enabled: false
            selectedIndex: appSetting.contents.style === "analogue" ? 0 : 1
            onSelectedIndexChanged: {
                var settings = appSetting.contents
                settings.style = selectedIndex === 0 ? "analogue" : "digital"
                appSetting.contents = settings
            }
        }
    }
}
